#include <iostream>
using namespace std;

int main()
{
    int n,m;
    cin>>n>>m;

    int br=0;
    br+=n+n+m+m-4;
    for(int i=1;i<n-1;i++)
    {
        for(int j=1;j<m-1;j++)
        {
            if(i%2==0 && j%2==1)
            br++;
            else if(j%2==0 && i%2==1)
            br++;
        }
    }
    cout<<br;
    return 0;
}